---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: frontend
  namespace: rfi
spec:
  interval: 10m
  chart:
    spec:
      chart: universal-chart
      version: "0.1.9"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m
  install:
    remediation:
      retries: 3
  upgrade:
    remediation:
      retries: 3
  values:
    global:
      env: _default
    services:
      frontend:
        enabled: true
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/rfi-frontend:production_b827756f_wb
          pullPolicy:
            _default: IfNotPresent
        deployment:
          enabled: true
          name:
            _default: frontend
          replicaCount:
            _default: 1
          port:
            _default: 80
          resources:
            requests:
              cpu:
                _default: 25m
              memory:
                _default: 100Mi
          probes:
            liveness:
              enabled: false
            readiness:
              enabled: false
        service:
          enabled: true
          name:
            _default: frontend-svc
          type:
            _default: ClusterIP
          port:
            _default: 80
          targetPort:
            _default: 80
          portName:
            _default: http
        imagePullSecrets:
          enabled:
            _default: true
          name:
            _default: regcred
